import "./accordion.css";
import { defineComponent as s, openBlock as n, createElementBlock as i, mergeProps as r, createElementVNode as a, normalizeClass as d, withModifiers as c, toDisplayString as l, createCommentVNode as p, createBlock as m, resolveDynamicComponent as u, renderSlot as h } from "vue";
import { a as f } from "../../icons-fca12ed8.js";
import { _ as g } from "../../_plugin-vue_export-helper-dad06003.js";
const _ = s({
  emits: {
    change: (e) => !0
  },
  props: {
    clickOutside: {
      default: !1,
      type: Boolean
    },
    color: {
      default: "accent",
      type: String
    },
    expand: {
      required: !0,
      type: Boolean
    },
    title: {
      required: !1,
      type: String
    }
  },
  name: "sb-accordion",
  computed: {
    angleDown() {
      return f();
    }
  },
  methods: {
    handleClickOutsideAccordion(e) {
      const t = e.target, o = this.$refs.accordion;
      this.expand && this.clickOutside && t && o && !o.contains(t) && !t.isSameNode(o) && this.handleToggle(!1);
    },
    handleToggle(e) {
      this.$emit("change", e);
    }
  },
  mounted() {
    document.addEventListener(
      "click",
      (e) => this.handleClickOutsideAccordion(e)
    );
  },
  unmounted() {
    document.removeEventListener(
      "click",
      (e) => this.handleClickOutsideAccordion(e)
    );
  }
});
const v = {
  key: 0,
  class: "title"
}, k = { class: "content-wrapper" }, y = { class: "content" };
function $(e, t, o, C, w, B) {
  return n(), i("div", r({
    class: ["accordion", { expanded: e.expand }],
    ref: "accordion"
  }, { ...e.$attrs }), [
    a("div", {
      class: d(["header-wrapper", [e.color]]),
      onClick: t[0] || (t[0] = c((D) => e.handleToggle(!e.expand), ["stop"]))
    }, [
      e.title ? (n(), i("p", v, l(e.title), 1)) : p("", !0),
      (n(), m(u(e.angleDown)))
    ], 2),
    a("div", k, [
      a("div", y, [
        h(e.$slots, "default", {}, void 0, !0)
      ])
    ])
  ], 16);
}
const b = /* @__PURE__ */ g(_, [["render", $], ["__scopeId", "data-v-e2317b0a"]]);
export {
  b as default
};
